1. Shipments
Salla Platform Docs
  • Getting Started
  • Migration to the New API
  • Publish App
  • Change Log
  • Shipping Management
    • App Cycle
    • Test App
    • Create App
    • Setup App
  • Order Fulfilment
    • App Cycle
    • Setup App
    • Test App
    • Create App
  • Salla AWB
    • Getting Started
    • Create Shipping App
    • Setup Shipping App
    • App Functions
      • Shipment Creating
      • Shipment Cancelling
    • Generating AWB
      • Shipment AWB
      • Shipment Return AWB
      • Shipment Cancelled AWB
  • APIs
    • Shipments
      • Create Shipment
        POST
      • List Shipments
        GET
      • Update Shipment Details
        PUT
      • Shipment Details
        GET
      • Cancel Shipments
        POST
      • Return Shipments
        POST
      • Shipment Tracking
        GET
    • Shipping Companies
      • List Shipping Companies
        GET
      • Shipping Company Details
        GET
    • Shipping Routes
      • Routes List
        GET
      • Route Details
        GET
      • Create Route
        POST
      • Update Route
        PATCH
      • Default Route
        PATCH
      • Delete Route
        DELETE
Merchant
Merchant
  • Merchant API
  • Embedded SDK
  • Salla OAuth 2.0
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Checkout APIs
  • Change Log
App Functions
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • Billing System Salla partners
  • Communication Apps
Dev Tools
Dev Tools
  • Partners Agent Kit
  • Salla Apps Playbook
  • Salla CLI
Merchant
Merchant
  • Merchant API
  • Embedded SDK
  • Salla OAuth 2.0
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Checkout APIs
  • Change Log
App Functions
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • Billing System Salla partners
  • Communication Apps
Dev Tools
Dev Tools
  • Partners Agent Kit
  • Salla Apps Playbook
  • Salla CLI
Salla - Opensource
Salla - Developers Community
  1. Shipments

Shipment Tracking

Production
https://api.salla.dev/admin/v2
Production
https://api.salla.dev/admin/v2
GET
https://api.salla.dev/admin/v2
/shipments/{shipment_id}/tracking
Last modified:2026-09-20 13:18:52
This endpoint allows you to fetch tracking details for a specific shipment by providing the ID of the shipment the path parameter.
Scopes
shipping.read- Shipping Read Only

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.salla.dev/admin/v2/shipments//tracking' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "status": 200,
    "success": true,
    "data": {
        "id": 362985662,
        "order_id": 560695738,
        "order_reference_id": 48927,
        "type": "shipment",
        "courier_id": 1927161457,
        "courier_name": "Shipping App",
        "courier_logo": "https://salla-dev-portal.s3.eu-central-1.amazonaws.com/uploads/Zo3PtoY2KNo3MkpWARHXhK91DUrsEtQJJqpz5PbY.png",
        "shipping_number": "846984645",
        "tracking_number": "43534254",
        "pickup_id": null,
        "trackable": true,
        "tracking_link": "https://api.shipengine.com/v1/labels/498498496/track",
        "label": {
            "format": "pdf",
            "url": "https://salla-dev.s3.eu-central-1.amazonaws.com/mKZa/shipping-policy/48102-IPqC9O6ysElWi4ze5148I2ilFABxAKvHggmEG4pB.pdf"
        },
        "status": "delivering",
        "history": [
            {
                "status": "delivering",
                "note": "third note the shipment is on the way",
                "create_at": {
                    "date": "2023-04-06 11:57:51.000000",
                    "timezone_type": 3,
                    "timezone": "Asia/Riyadh"
                }
            },
            {
                "status": "created",
                "note": "second note without sending the status in the request",
                "create_at": {
                    "date": "2023-04-06 11:49:51.000000",
                    "timezone_type": 3,
                    "timezone": "Asia/Riyadh"
                }
            },
            {
                "status": "created",
                "note": "first note without sending the status in the request",
                "create_at": {
                    "date": "2023-04-06 11:49:35.000000",
                    "timezone_type": 3,
                    "timezone": "Asia/Riyadh"
                }
            },
            {
                "status": "created",
                "note": null,
                "create_at": {
                    "date": "2023-04-06 11:44:23.000000",
                    "timezone_type": 3,
                    "timezone": "Asia/Riyadh"
                }
            }
        ]
    }
}
Modified at 2026-09-20 13:18:52
Previous
Return Shipments
Next
List Shipping Companies